Description

OpenAl assistants API can take files as inputs. change set_prompt_mods to take an additional input:

"file_urls" : ["<url1>", "<url2>", ...]"
<urlk> will be Google Cloud Storage URL.
Ensure that these files are associated with the assistant when it is created. Example code below.

import openai
from openai import OpenAl

1. 1. OpenAl Setup
client = OpenAl(api_key="YOUR_API_KEY")

1. 2. File Preparation and Upload (Do this once for initial setup)
def upload_files(file_paths):
file_ids =]
for path in file_paths:
with open(path, "rb") as file:
file_response = client.files.create(file=file, purpose="assistants")
file_ids.append(file_response.id)
return file_ids

1. Replace with your actual file paths

file_paths = ["your_document1.txt", "your_document2.pdf’, ...]
uploaded_file_ids = upload_files(file_paths)

1. 3. Create Assistant
assistant = client.beta.assistants.create(
model="gpt-3.5-turbo-1106",
instructions="You are a helpful assistant. Answer questions using the provided files. If the answer is not in the files, say you
couldn't find it.",
tools=[{"type": "file_search"}],
file_ids=uploaded_file_ids # Attach files
)

1. 4. Create Thread and Get User's Question
thread = client.beta.threads.create()

while True:
user_input = input("Ask your question: ")

1. 5. Add Message to Thread
client.beta.threads.messages.create(
thread_id=thread.id,
role="user",
content=user_input

)

1. 6. Run the Assistant
run = client.beta.threads.runs.create(
thread_id=thread.id,
assistant_id=assistant.id

)

1. 7. Retrieve Assistant's Response
while True:
run_status = client.beta.threads.runs.retrieve(thread_id=thread.id, run_id=run.id)
if run_status.status == 'completed':
messages = client.beta.threads.messages.list(thread_id=thread.id)
assistant_message = messages.data’.content’.text # Latest message
print("Answer:", assistant_message.value)
break

History

#1 - 06/06/2024 02:00 PM - Md Shahzar

- Status changed from New to In Progress

#2 - 06/07/2024 03:09 PM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 06/25/2024 05:51 AM - Md Shahzar
- Status changed from Resolved to Feedback

- Assignee changed from Md Shahzar to Ram Kordale

#4 - 09/11/2024 06:24 AM - Ram Kordale
- Status changed from Feedback to Closed

04/01/2025 22



http://www.tcpdf.org

